* {
    margin: 0;
    padding: 0;
    font-family: Verdana;
    font-size: 15px;
    box-sizing: border-box;
}

html {
    padding: 10px;
}

body {
    max-width: 100%;
    padding: 10px;
    width: 60vw; 
    margin: 0 auto;   
}

a {
  text-decoration: none;   /* geen onderstreping */
  color: blue;             /* gewone kleur */
}

a:visited {
  color: blue;             /* bezochte links blijven dezelfde kleur */
}

.projection {
    /* background-color: rgb(248, 248, 248); */
    /* color: #064371; */
    /* font-style: italic; */
    color: #999;
}

.debug {
    display: block;

}

input {
    margin: 10px;
}

h2 {
    margin: 20px 0;;
}

form {
    display: flex;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
    border: solid #ddd 1px;
}

tr, td, th {
    border: solid #ddd 1px;
    padding: 5px;
    text-align: left;
}

.warning {
    color: red;
    font-weight: bold;
}

.add-transaction-form {
    background-color: rgb(248, 248, 248);
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 10px;
}

.formelement {
    width: 14%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.formelement:nth-child(even) {
    background-color: rgb(238, 238, 238);
}

.formelement div {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

label {
    margin-right: 5px;
}

select {
    margin: 10px;
}

h1 a {
    font-size: 16px;;
}

#extra-info {
    margin-top: 10px;
    padding: 10px;
    border: solid #ddd 1px;
    background-color: rgb(248, 248, 248);
}

/* ===================================== */


    #banner {
        /* background: green; */
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-weight: bold;
        width: 100%;
    }
    
    #username {
        /* background: orange; */
        text-transform: uppercase;
        font-size: 18px;
    }
    
    #balance {
        /* background: red; */
        font-size: 18px;
    }

    #buttons {
        /* background: blue; */
        /* grid-column: 1/4; */
        /* grid-row: 2/3; */
        display: flex;
        justify-content: space-between;
        margin: 10px 0;
        width: 30%;
    }

    #loading {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #loading img {
        width: 100px;
        height: 100px;
    }
    
    #buttons a {
        /* background: lightblue; */
        border-radius: 50%;
        height: 30px;
        width: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 25px;
    }
    
    #logout-button, #delete-button {
        height: 30px;
        width: 30px;
        border: none;
        background-color: transparent;
    }
    
    #logout-button {
        font-size: 25px;
    }

    #projection {
        /* background: lightpink; */
        grid-column: 1/4;
        grid-row: auto;
        margin-top: 10px;
        /* display: grid; */
    }

    .day {
        grid-column: 1/4;
        display: grid;
        grid-template-columns: 0.3fr 0.7fr 3fr 3fr 1fr 1fr 1fr 1fr;
        border-bottom: solid #ddd 1px;
    }

    .date {
        background: rgb(246, 222, 128);
        grid-column: 1/11;
        /* text-align: center; */
        border: solid #ddd 1px;
        padding: 5px 10px;
        /* margin-bottom: 5px; */
        color:#333;
        font-weight: bold;
        font-size: 14px;
    }

    .icon, .time, .description, .type, .notes, .category, .amount, .actions, .sumtotal, .confirm {
        /* padding: 5px; */
        display: flex;
        justify-content: center;
        align-items: center;
        border-right: solid #ddd 1px;
        height: 30px;
    }
    
    .icon {
        /* background: magenta; */
        grid-column: 1/2;
        grid-row: 2/3;
        text-align: left;
        font-size: 16px;
        border-left: solid #ddd 1px;
    }

    .time {
        grid-column: 2/3;
        grid-row: 2/3;
    }
    
    .description {
        /* background: orange; */
        grid-column: 3/4;
        grid-row: 2/3;        
        text-align: left;
    }

    .notes {
        grid-column: 4/5;
        grid-row: 2/3;        
    }

    .category {
        grid-column: 5/6;
        grid-row: 2/3;        
    }
    
    .amount {
        /* background: yellow; */
        grid-column: 6/7;
        grid-row: 2/3;        
        text-align: right;
        font-weight: bold;
    }

    .income {
        background: rgb(215, 250, 216);
    }
    
    .actions {
        /* background: lightgrey; */
        grid-column: 7/8;
        grid-row: 2/3;        
        text-align: center;
    }
    
    .sumtotal {
            grid-column: 8/9;
            grid-row: 2/3;        
            text-align: right;
    }
    
    .confirm {
            grid-column: 10/11;
            grid-row: 2/3;        
            text-align: center;
    }

    .confirm a {
        width: 100%;
    }

    .actions a {
        /* margin-left: 5px; */
        width: 100%;
    }
    
    .delete-form {
        width: 100%;
        /* display: inline; */
    }
